image: python:3.12.0-slim-bookworm

pages:
  script:
  - pip install -r requirements.txt
  - sphinx-build -d _build/doctrees . _build/html
  - mv _build/html public
  artifacts:
    paths:
    - public
  only:
  - main
